package com.yeejoin.amos.patrol.core.common.response;

import java.util.List;

public class PointInfoSyn3DRespone {
	
	private String pointId;
	
	private String pointName;
	
	/**
	 * 坐标
	 */
	private String coordinates;
	
	private String pointLevel;
	
	private String status;
	
	private String address;
	
	private PointPositionInfoSyn3DRespone nodeConfigDTO;
	
	private List<PointUserSyn3DRespone> users;
	
	/**
	 * 是否删除is_delete
	 */
	private Boolean isDelete = false;
	
	private String orgCode;

	public String getPointId() {
		return pointId;
	}

	public void setPointId(String pointId) {
		this.pointId = pointId;
	}

	public String getPointName() {
		return pointName;
	}

	public void setPointName(String pointName) {
		this.pointName = pointName;
	}

	public String getCoordinates() {
		return coordinates;
	}

	public void setCoordinates(String coordinates) {
		this.coordinates = coordinates;
	}

	public String getPointLevel() {
		return pointLevel;
	}

	public void setPointLevel(String pointLevel) {
		this.pointLevel = pointLevel;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public List<PointUserSyn3DRespone> getUsers() {
		return users;
	}

	public void setUsers(List<PointUserSyn3DRespone> users) {
		this.users = users;
	}

	public PointPositionInfoSyn3DRespone getNodeConfigDTO()
	{
		return nodeConfigDTO;
	}

	public void setNodeConfigDTO(PointPositionInfoSyn3DRespone nodeConfigDTO)
	{
		this.nodeConfigDTO = nodeConfigDTO;
	}

	public Boolean getIsDelete() {
		return isDelete;
	}

	public void setIsDelete(Boolean isDelete) {
		this.isDelete = isDelete;
	}

	public String getOrgCode() {
		return orgCode;
	}

	public void setOrgCode(String orgCode) {
		this.orgCode = orgCode;
	}
	
}
